ColumnBlock (jEdit API Documentation)
Date: 2015-02-03

org.gjt.sp.jedit.textarea

## Class ColumnBlock

- java.lang.Object
- - org.gjt.sp.jedit.textarea.Selection
  - - org.gjt.sp.jedit.textarea.Selection.Rect
    - - org.gjt.sp.jedit.textarea.ColumnBlock

- All Implemented Interfaces:
    java.lang.Cloneable, Node

      public class ColumnBlock
      extends Selection.Rect
      implements Node

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gjt.sp.jedit.textarea.Selection

      `Selection.Range, Selection.Rect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnBlock()`
    `ColumnBlock(JEditBuffer buffer, int startLine, int endLine)`
    `ColumnBlock(JEditBuffer buffer, int startLine, int startColumn, int endLine, int endColumn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(Node node)`
    `boolean` | `areTabSizesDirty()`
    `java.util.Vector<Node>` | `getChildren()`
    `ColumnBlock` | `getColumnBlock(int line, int offset)`
    `int` | `getColumnWidth()`
    `ColumnBlock` | `getContainingBlock(int line, int offset)`
    `int` | `getEndLine()` Returns the ending line number of this selection.
    `java.util.Vector<ColumnBlockLine>` | `getLines()`
    `Node` | `getParent()`
    `int` | `getStartLine()` Returns the starting line number of this selection.
    `int` | `isLineWithinThisBlock(int line)`
    `ColumnBlock` | `searchChildren(int line)`
    `void` | `setDirtyStatus(boolean status)`
    `void` | `setLines(java.util.Vector<ColumnBlockLine> lines)`
    `void` | `setParent(Node parent)`
    `void` | `setTabSizeDirtyStatus(boolean dirty, boolean recursive)`
    `void` | `setWidth(int width)`
    `java.lang.String` | `toString()`
    `void` | `updateColumnBlockLineOffset(int line, int offsetAdd, boolean increaseStartOffset)`
    `void` | `updateLineNo(int line)`

    - ### Methods inherited from class org.gjt.sp.jedit.textarea.Selection.Rect

      `getEnd, getEndColumn, getStart, getStartColumn`

    - ### Methods inherited from class org.gjt.sp.jedit.textarea.Selection

      `clone, getEnd, getStart, overlaps`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnBlock

          public ColumnBlock()

    - #### ColumnBlock

          public ColumnBlock(JEditBuffer buffer,
                     int startLine,
                     int startColumn,
                     int endLine,
                     int endColumn)

    - #### ColumnBlock

          public ColumnBlock(JEditBuffer buffer,
                     int startLine,
                     int endLine)

  - ### Method Detail

    - #### addChild

          public void addChild(Node node)

      Specified by:
        `addChild` in interface `Node`

    - #### getChildren

          public java.util.Vector<Node> getChildren()

      Specified by:
        `getChildren` in interface `Node`

    - #### getParent

          public Node getParent()

      Specified by:
        `getParent` in interface `Node`

    - #### setWidth

          public void setWidth(int width)

    - #### setParent

          public void setParent(Node parent)

    - #### setLines

          public void setLines(java.util.Vector<ColumnBlockLine> lines)

    - #### getLines

          public java.util.Vector<ColumnBlockLine> getLines()

    - #### getStartLine

          public int getStartLine()

      Description copied from class: `Selection`
      Returns the starting line number of this selection.
      Overrides:
        `getStartLine` in class `Selection`

    - #### getEndLine

          public int getEndLine()

      Description copied from class: `Selection`
      Returns the ending line number of this selection.
      Overrides:
        `getEndLine` in class `Selection`

    - #### getColumnWidth

          public int getColumnWidth()

    - #### isLineWithinThisBlock

          public int isLineWithinThisBlock(int line)

    - #### getContainingBlock

          public ColumnBlock getContainingBlock(int line,
                                       int offset)

    - #### getColumnBlock

          public ColumnBlock getColumnBlock(int line,
                                   int offset)

    - #### searchChildren

          public ColumnBlock searchChildren(int line)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Selection`

    - #### setDirtyStatus

          public void setDirtyStatus(boolean status)

    - #### updateLineNo

          public void updateLineNo(int line)

    - #### updateColumnBlockLineOffset

          public void updateColumnBlockLineOffset(int line,
                                         int offsetAdd,
                                         boolean increaseStartOffset)

    - #### setTabSizeDirtyStatus

          public void setTabSizeDirtyStatus(boolean dirty,
                                   boolean recursive)

    - #### areTabSizesDirty

          public boolean areTabSizesDirty()